Collection
Date: 2013-02-16

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.dir.master.state
Class Collection

    java.lang.Object
      GCUBELocalResource
          org.gcube.dir.master.state.Collection

    public class Collection

extends GCUBELocalResource

A partial implementation for local models of remote collections.

Author:
  Fabio Simeoni (University of Strathclyde)

Constructor Summary
`Collection()`

Method Summary
`long` | `getNumberOfDocuments()` Returns the number of documents in the collection.
`long` | `getNumberOfTerms()` Returns the number of terms in the collection.
`void` | `onRemove()`
`void` | `setNumberOfDocuments(long num)` Sets the number of documents in the collection.
`void` | `setNumberOfTerms(long num)` Sets the number of terms in the collection.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Collection

    public Collection()

Method Detail

### onRemove

    public void onRemove()
                  throws org.globus.wsrf.ResourceException

  Throws:
    `org.globus.wsrf.ResourceException`

### getNumberOfDocuments

    public long getNumberOfDocuments()

  Returns the number of documents in the collection.

  Returns:
    the number of documents.

### setNumberOfDocuments

    public void setNumberOfDocuments(long num)

  Sets the number of documents in the collection.

  Parameters:
    `num` - the number of documents.

### getNumberOfTerms

    public long getNumberOfTerms()

  Returns the number of terms in the collection.

  Returns:
    the number of terms.

### setNumberOfTerms

    public void setNumberOfTerms(long num)

  Sets the number of terms in the collection.

  Parameters:
    `num` - the number of terms.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD